UsernamePasswordLoginServlet.SimpleCallbackHandler (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn.provider
Class UsernamePasswordLoginServlet.SimpleCallbackHandler

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.authn.provider.UsernamePasswordLoginServlet.SimpleCallbackHandler

All Implemented Interfaces:
  CallbackHandler

Enclosing class:
  UsernamePasswordLoginServlet

    protected class UsernamePasswordLoginServlet.SimpleCallbackHandler

extends Object
implements CallbackHandler

A callback handler that provides static name and password data to a JAAS loging process. This handler only supports `NameCallback` and `PasswordCallback`.

Constructor Summary
`UsernamePasswordLoginServlet.SimpleCallbackHandler(String username, String password)` Constructor.

Method Summary
`void` | `handle(Callback[] callbacks)` Handle a callback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsernamePasswordLoginServlet.SimpleCallbackHandler

    public UsernamePasswordLoginServlet.SimpleCallbackHandler(String username,
                                                              String password)

  Constructor.

  Parameters:
    `username` - The username
    `password` - The password

Method Detail

### handle

    public void handle(Callback[] callbacks)
                throws UnsupportedCallbackException

  Handle a callback.

  Specified by:
    `handle` in interface `CallbackHandler`
  Parameters:
    `callbacks` - The list of callbacks to process.
  Throws:
    `UnsupportedCallbackException` - If callbacks has a callback other than `NameCallback` or `PasswordCallback`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.